Use this API to submit a shoppable video for publishing. When the submission succeeds, pass the returned video ID as the video_id path parameter to Get Shoppable Video Status (GET /affiliate_creator/202509/videos/{video_id}/status) to retrieve the posting status: PROCESSING, SUCCESS, or FAIL. If the status is PROCESSING, call the status API again later to check for a terminal status.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
Video information
object
The video file ID returned by Upload Shoppable Video File (POST /affiliate_creator/202505/videos/video_files).
The video caption. The maximum length is 2200 in UTF-16 runes. If not specified, the ticket post will not have any captions.
The video cover image URI returned by Upload Shoppable Photo File (POST /affiliate_creator/202511/photos/photo_files).
The input parameter is a timestamp, which specifies a particular moment in the video. The frame at that timestamp will be used as the video cover. If cover_uri and cover_timestamp_ms are both not provided, the cover will default to the first frame of the uploaded video. Only one of cover_uri or cover_timestamp_ms can be provided. If both parameters are passed, cover_uri will take precedence.
The music ID for the video’s background music. Obtain it from Search Music (GET /affiliate_creator/202602/music/search). If not provided, no music will be associated with the video.
Product link information
object
Use product_id to bind the product with the video. The product_id from Get Shop Products or Get Showcase Products
The title to be shown on the product anchor. Anchor title should be shorter than 30 characters. Titles may be rejected for punctuation, emoji, or offensive language.
Example
{ "video_info": { "file_id": "v12d00gd0024d3nfqr7og65", "title": "Sample video title", "cover_uri": "v12d00gd0024d3nfqr7og65oooiuuyy", "cover_timestamp_ms": 1000, "music_id": "717294069642063456" }, "product_link_info": { "product_id": "17294069642063424", "title": "Sample product anchor title" }}Responses
Section titled “Responses”Success
object
Status code; 0 means success.
Success or failure message.
Request log ID.
object
Submitted shoppable video information.
object
The video id, use this id to query video publish status.
Example
{ "code": 0, "data": { "video": { "id": "7548431509997292816" } }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}